For the complete documentation index, see llms.txt. This page is also available as Markdown.

Store Service

Service list

get

List of service

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
categoryIdintegerRequired
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got service count " or " Successfully get all service List
get/store-service/service-list
GET /store-service/service-list?categoryId=1 HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got service count \" or \" Successfully get all service List"
}

Add service enquiry

post

Add a service enquiry

Body
serviceIdinteger · int32Required
namestringRequired
emailstringOptional
mobileinteger · int32Required
commentsstringOptional
Responses
200

success response

application/json
enquiryIdinteger · int32Optional
serviceIdinteger · int32Optional
namestringOptional
emailstringOptional
mobileinteger · int32Optional
commentsstringOptional
isActiveinteger · int32Optional
createdDatestring · date-timeOptional
modifiedDatestring · date-timeOptional
createdByinteger · int32Optional
modifiedByinteger · int32Optional
post/store-service/store-enquiry
POST /store-service/store-enquiry HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 73

"serviceId=1&name='text'&email='text'&mobile=1&comments='text'"
200

success response

{
  "enquiryId": 1,
  "serviceId": 1,
  "name": "text",
  "email": "text",
  "mobile": 1,
  "comments": "text",
  "isActive": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "createdBy": 1,
  "modifiedBy": 1
}

Category list

get

Get list of category

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got category list count " or " successfully got the service category list.
get/store-service/category-list
GET /store-service/category-list HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got category list count \" or \" successfully got the service category list."
}

Last updated